<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Login</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-QWTKZyjpPEjISv5WaRU9OFeRpok6YctnYmDr5pNlyT2bRjXh0JMhjY6hW+ALEwIH" crossorigin="anonymous">
    <link rel="stylesheet" href="../css/authStyle.css">
</head>
<body>
    <main>
        <div class="container">
            <div class="card shadow-lg">
                <h1 class="card-title text-center">LogIn</h1>
                <form id="loginForm" class="needs-validation" novalidate>
                    <div class="mb-3">
                        <label for="userInputName" class="form-label">Username</label>
                        <input type="text" class="form-control" id="userInputName" name="userInputName" autocomplete="username" required>
                        <div class="invalid-feedback">Будь ласка, введіть коректне ім'я користувача.</div>
                    </div>
    
                    <div class="mb-3">
                        <label for="userInputPassword" class="form-label">Password</label>
                        <input type="password" class="form-control" id="userInputPassword" name="userInputPassword" autocomplete="current-password" required minlength="8">
                        <div class="invalid-feedback">Пароль повинен містити щонайменше 8 символів.</div>
                    </div>
    
                    <div class="d-grid">
                        <button type="submit" class="btn btn-primary">Login</button>
                    </div>
    
                    <p class="mt-3 text-center">Don't have an account? <a href="../pages/register.html">Sign Up Now</a></p>
                </form>
            </div>
        </div>
    </main>

    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-YvpcrYf0tY3lHB60NNkmXc5s9fDVZLESaAA55NDzOxhy9GkcIdslK1eN7N6jIeHz" crossorigin="anonymous"></script>
    <script type="text/javascript" src="../js/login.js"></script>
</body>
</html>